package salesApplication;

/*
 * This File is one of the examples from Java Object Oriented Programming
 * Do not reproduce this code for others or use it in a commercial setting without prior permission from the author.
 */


import DataSource.DataSource;
import DataSource.DatabaseDataSource;
import products.WritingImplement;

public class TestPriceList {
    public static void main(String[] args) {
        DataSource db = new DatabaseDataSource();
        db.getListNames();
        PriceList demo = db.retrieveList("Demo");
        db.saveList("Demo",demo);
        db.saveList("Writing Implements",demo.filterList(i-> i instanceof WritingImplement));
        db.retrieveList("Writing Implements").printList();
    }
}
